SingleColumnRestriction.SuperColumnKeyINRestrictionWithValues (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.restrictions

## Class SingleColumnRestriction.SuperColumnKeyINRestrictionWithValues

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction
  - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.INRestriction
    - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.SuperColumnKeyINRestriction
      - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.SuperColumnKeyINRestrictionWithValues

- All Implemented Interfaces:
    Restriction, SingleRestriction
  Enclosing class:
    SingleColumnRestriction

      public static class SingleColumnRestriction.SuperColumnKeyINRestrictionWithValues
      extends SingleColumnRestriction.SuperColumnKeyINRestriction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `SingleColumnRestriction.ContainsRestriction, SingleColumnRestriction.EQRestriction, SingleColumnRestriction.INRestriction, SingleColumnRestriction.InRestrictionWithMarker, SingleColumnRestriction.InRestrictionWithValues, SingleColumnRestriction.IsNotNullRestriction, SingleColumnRestriction.LikeRestriction, SingleColumnRestriction.SliceRestriction, SingleColumnRestriction.SuperColumnKeyEQRestriction, SingleColumnRestriction.SuperColumnKeyINRestriction, SingleColumnRestriction.SuperColumnKeyINRestrictionWithMarkers, SingleColumnRestriction.SuperColumnKeyINRestrictionWithValues, SingleColumnRestriction.SuperColumnKeySliceRestriction, SingleColumnRestriction.SuperColumnMultiEQRestriction, SingleColumnRestriction.SuperColumnMultiSliceRestriction`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `columnDef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuperColumnKeyINRestrictionWithValues(ColumnDefinition columnDef, java.util.List<Term> values)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.nio.ByteBuffer>` | `getValues(QueryOptions options)`

    - ### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.SuperColumnKeyINRestriction

      `addFunctionsTo, addRowFilterTo, appendTo`

    - ### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.INRestriction

      `doMergeWith, isIN, isSupportedBy`

    - ### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `getColumnDefs, getFirstColumn, getLastColumn, hasSupportingIndex, mergeWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.SingleRestriction

      `appendBoundTo, hasBound, isContains, isEQ, isInclusive, isLIKE, isMultiColumn, isNotNull, isSlice`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.Restriction

      `isOnToken`

- - ### Constructor Detail

    - #### SuperColumnKeyINRestrictionWithValues

          public SuperColumnKeyINRestrictionWithValues(ColumnDefinition columnDef,
                                                       java.util.List<Term> values)

  - ### Method Detail

    - #### getValues

          public java.util.List<java.nio.ByteBuffer> getValues(QueryOptions options)
                                                        throws InvalidRequestException

      Specified by:
        `getValues` in class `SingleColumnRestriction.SuperColumnKeyINRestriction`
      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation